Intel® oneAPI AI Analytics Toolkit
Find answers to your toolkit installation, configuration, and get-started questions.

Intel Ai kit: broken symlink

sung
Beginner
120 Views

Today, I installed the intel-aikit using dnf on my Rocky linux server. When I look in /opt/intel/oneapi/intelpython/latest/envs, I see 2 broken symlinks:

  • pytorch-1.12.0 -> ../../../pytorch/1.12.0
  • tensorflow-2.9.1 -> ../../../tensorflow/2.9.1

 

The directories that do exist are:

  • ../../../pytorch/1.12.0.1
  • ../../../tensorflow/2.9.1.1

 

I just wanted to bring these to the developers' attention.

Labels (2)
0 Kudos
6 Replies
AthiraM_Intel
Moderator
102 Views

Hi,


Thank you for posting in Intel Communities.


We are able to reproduce the issue. We are working on this internally, will get back to you soon.



Thanks


asin
Moderator
92 Views

Hi Sung,


I have created a JIRA ticket with our installation team and will let you know the status of the fix.


May I also know what version of oneAPI AI Analytics Toolkit you are using? 2023.0?


Thanks,

Alex


sung
Beginner
91 Views

Hi. Thanks for creating the ticket.

 

According to my package manager, I am using version 2023.0.0-26100

sung
Beginner
86 Views

There is another broken symlink at /opt/intel/oneapi/intelpython/python3.9/lib/release_mt, which currently points to ../lib/release that doesn't exist.

asin
Moderator
40 Views

Hi Sung,


I have updated the ticket with your version of AI Kit and the additional broken symlink. If you find more, please let me know on this thread. In the meantime, I am working with our team to get this addressed.


Thanks,

Alex


asin
Moderator
8 Views

Hi Sung,


I'm still waiting to hear back from the team regarding your fix. Thank you for your patience.


Best,

Alex


Reply